Korg::KMPRegion Class Reference

Region of a .KMP multi sample file. More...

`#include <Korg.h>`

## Public Member Functions

String | FullSampleFileName () const
KMPInstrument * | GetInstrument () const

## Public Attributes

bool | Transpose
uint8_t | OriginalKey
| Note of sample's original pitch, a.k.a. "root key" (0..127).
uint8_t | TopKey
| The end of this region on the keyboard (0..127). The start of this region is given by TopKey+1 of the previous region.
int8_t | Tune
| -99..+99 cents
int8_t | Level
| -99..+99 cents
int8_t | Pan
| -64..+63
int8_t | FilterCutoff
| -50..0
String | SampleFileName

Base file name of sample file (12 bytes). Call FullSampleFileName() for getting the file name with path, which you might then pass to a KSFSample constructor to load the respective sample. There are two special names: "SKIPPEDSAMPL" means the sample was skipped during loading on the original KORG instrument, whereas "INTERNALnnnn" means internal sample (of the original KORG instrument) with number nnnn is used. In both cases, you obviously have no other chance than skipping them.

## Protected Member Functions

| KMPRegion (KMPInstrument *parent, RIFF::Chunk *rlp1)

## Detailed Description

Region of a .KMP multi sample file.

Encapsulates one region on the keyboard which is part of a KORG ".KMP" file (KMPInstrument). Each regions defines a mapping between one (mono) sample and one consecutive area on the keyboard.

Definition at line 133 of file Korg.h.

## Constructor & Destructor Documentation

## KMPRegion()

Korg::KMPRegion::KMPRegion | ( | KMPInstrument * | parent,
|  | RIFF::Chunk * | rlp1 )

protected

Definition at line 340 of file Korg.cpp.

## ~KMPRegion()

Korg::KMPRegion::~KMPRegion | ( |  | ) |

protected virtual

Definition at line 354 of file Korg.cpp.

## Member Function Documentation

## FullSampleFileName()

String Korg::KMPRegion::FullSampleFileName | ( |  | ) | const

Definition at line 357 of file Korg.cpp.

## GetInstrument()

KMPInstrument * Korg::KMPRegion::GetInstrument | ( |  | ) | const

Definition at line 362 of file Korg.cpp.

## Member Data Documentation

## FilterCutoff

int8_t Korg::KMPRegion::FilterCutoff

-50..0

Definition at line 141 of file Korg.h.

## Level

int8_t Korg::KMPRegion::Level

-99..+99 cents

Definition at line 139 of file Korg.h.

## OriginalKey

uint8_t Korg::KMPRegion::OriginalKey

Note of sample's original pitch, a.k.a. "root key" (0..127).

Definition at line 136 of file Korg.h.

## Pan

int8_t Korg::KMPRegion::Pan

-64..+63

Definition at line 140 of file Korg.h.

## SampleFileName

String Korg::KMPRegion::SampleFileName

Base file name of sample file (12 bytes). Call FullSampleFileName() for getting the file name with path, which you might then pass to a KSFSample constructor to load the respective sample. There are two special names: "SKIPPEDSAMPL" means the sample was skipped during loading on the original KORG instrument, whereas "INTERNALnnnn" means internal sample (of the original KORG instrument) with number nnnn is used. In both cases, you obviously have no other chance than skipping them.

Definition at line 142 of file Korg.h.

## TopKey

uint8_t Korg::KMPRegion::TopKey

The end of this region on the keyboard (0..127). The start of this region is given by TopKey+1 of the previous region.

Definition at line 137 of file Korg.h.

## Transpose

bool Korg::KMPRegion::Transpose

Definition at line 135 of file Korg.h.

## Tune

int8_t Korg::KMPRegion::Tune

-99..+99 cents

Definition at line 138 of file Korg.h.

The documentation for this class was generated from the following files:

- Korg.h
- Korg.cpp